### org.jfree.layouting.renderer

# Class PaginatingRenderer

- `java.lang.Object`
- - `org.jfree.layouting.renderer.AbstractRenderer`
  - - `org.jfree.layouting.renderer.PaginatingRenderer`

Implemented Interfaces:
  Renderer, StatefullComponent

`public class PaginatingRenderer`
`extends AbstractRenderer`

A renderer which builds a streaming page model.

Author:
  Thomas Morgner

  ## Nested Class Summary

  `protected static class`

  `PaginatingRenderer.DefaultFlowRendererState`

  ### Nested classes/interfaces inherited from class org.jfree.layouting.renderer.AbstractRenderer

  `AbstractRenderer.RendererState`

  ## Constructor Summary

  `PaginatingRenderer(LayoutProcess layoutProcess)`

  `PaginatingRenderer(LayoutProcess layoutProcess, boolean init)`

  ## Method Summary

  `protected void`

  `firePagebreak()`

  `State`

  `saveState()`

  `protected void`

  `validateOutput()`

  ### Methods inherited from class org.jfree.layouting.renderer.AbstractRenderer

  `addContent`, `addPassThroughContent`, `finishedBlock`, `finishedDocument`, `finishedFlow`, `finishedInline`, `finishedMarker`, `finishedPassThrough`, `finishedRootInline`, `finishedTable`, `finishedTableCaption`, `finishedTableCell`, `finishedTableColumn`, `finishedTableColumnGroup`, `finishedTableRow`, `finishedTableSection`, `getInsertationPoint`, `getLayoutProcess`, `getLogicalPageBox`, `getPageContext`, `getRenderPageContext`, `handlePageBreak`, `isProcessingNormalFlow`, `setLayoutFailureReason`, `startedBlock`, `startedDocument`, `startedFlow`, `startedInline`, `startedMarker`, `startedPassThrough`, `startedRootInline`, `startedTable`, `startedTableCaption`, `startedTableCell`, `startedTableColumn`, `startedTableColumnGroup`, `startedTableRow`, `startedTableSection`, `tryValidateOutput`, `validateOutput`

## Constructor Details

### PaginatingRenderer

    public PaginatingRenderer(LayoutProcess layoutProcess)

### PaginatingRenderer

    protected PaginatingRenderer(LayoutProcess layoutProcess,
                                 boolean init)

## Method Details

### firePagebreak

    protected void firePagebreak()
                throws NormalizationException

### saveState

    public State saveState()
                throws StateException

> Specified by:
>   saveState in interface StatefullComponent

### validateOutput

    protected void validateOutput()
                throws NormalizationException

> Overrides:
>   validateOutput in interface AbstractRenderer